searchNodes=[{"ref":"JISHOCALLER.html","title":"JISHOCALLER","type":"module","doc":"Wrapper for the Jisho API found on https://jisho.org/ Search for a word both in Japanese and English and return the result."},{"ref":"JISHOCALLER.html#search/1","title":"JISHOCALLER.search/1","type":"function","doc":"Search by a word or a term. Returns a JSON result from the call. Parameters: Word or term: &quot;String&quot; Result: A list of Maps where each map is a word that has been found. If successful then {:ok, data} is returned where data is a list of maps or it returns {:ok, &quot;No data&quot;} if there is nothing in the result. If unsuccessful this will return {:error, reason} Examples: Searching using an English word: iex&gt; JISHOCALLER.search(&quot;dog&quot;) Searching using a term: iex&gt; JISHOCALLER.search(&quot;fast car&quot;) Search using Romanji: iex&gt; JISHOCALLER.search(&quot;hanako&quot;) Searching using Kana: iex&gt; JISHOCALLER.search(&quot;にほん&quot;) Searching using Kanji: iex&gt; JISHOCALLER.search(&quot;招き猫&quot;)"},{"ref":"JISHOCALLER.html#search/2","title":"JISHOCALLER.search/2","type":"function","doc":"Search by a word or a term with tags. Returns a JSON result from the call. Parameters: Word or term : &quot;String&quot; List of Strings [&quot;String&quot;, &quot;String&quot; . . .] Result: A list of Maps where each map is a word that has been found using the tag(s). If successful then {:ok, data} is returned where data is a list of maps or it returns {:ok, &quot;No data&quot;} if there is nothing in the result. If unsuccessful this will return {:error, reason} Examples: No tags (This is the same as just using search): iex&gt; JISHOCALLER.search(&quot;dog&quot;, []) Using only tags: iex&gt; JISHOCALLER.search(&quot;&quot;, [&quot;jlpt-n5&quot;]) Using a term and a tag: iex&gt; JISHOCALLER.search(&quot;animal&quot;, [&quot;jlpt-n5&quot;]) Using multiple tags: iex&gt; JISHOCALLER.search(&quot;出来る&quot;, [&quot;jlpt-n5&quot;, &quot;verb&quot;])"},{"ref":"JISHOCALLER.html#search/3","title":"JISHOCALLER.search/3","type":"function","doc":"Search by a word or a term with tags and a page. Returns a JSON result from the call. Parameters: Word or term : &quot;String&quot; List of Strings [&quot;String&quot;, &quot;String&quot; . . .] Page Number: Integer Result: A list of Maps where each map is a word that has been found using the word, tag(s), and page number. If successful then {:ok, data} is returned where data is a list of maps or it returns {:ok, &quot;No data&quot;} if there is nothing in the result. If unsuccessful this will return {:error, reason} Examples: A term, no tags, and a page: iex&gt; JISHOCALLER.search(&quot;差す&quot;, [], 1) Using only tags and page: iex&gt; JISHOCALLER.search(&quot;&quot;, [&quot;jlpt-n5&quot;], 30) Using a term, a tag and a page: iex&gt; JISHOCALLER.search(&quot;差す&quot;, [&quot;verb&quot;], 2) Using a term, multiple tags and a page: iex&gt; JISHOCALLER.search(&quot;出来る&quot;, [&quot;jlpt-n5&quot;, &quot;verb&quot;], 1)"},{"ref":"JISHOCALLER.html#search_by_tags/1","title":"JISHOCALLER.search_by_tags/1","type":"function","doc":"Search using tags. Returns a JSON result from the call. Parameters: List of Strings [&quot;String&quot;, &quot;String&quot; . . .] Result: A list of Maps where each map is a word that has been found using the tag(s). If successful then {:ok, data} is returned where data is a list of maps or it returns {:ok, &quot;No data&quot;} if there is nothing in the result. If unsuccessful this will return {:error, reason} Examples: One tag: iex&gt; JISHOCALLER.search_by_tags([&quot;jlpt-n5&quot;]) Multiple tags: iex&gt; JISHOCALLER.search_by_tags([&quot;jlpt-n5&quot;, &quot;verb&quot;])"},{"ref":"JISHOCALLER.html#search_by_tags/2","title":"JISHOCALLER.search_by_tags/2","type":"function","doc":"Search using tags and a page. Returns a JSON result from the call. Parameters: List of Strings [&quot;String&quot;, &quot;String&quot; . . .] Page Number: Integer Result: A list of Maps where each map is a word that has been found using the tag(s). If successful then {:ok, data} is returned where data is a list of maps or it returns {:ok, &quot;No data&quot;} if there is nothing in the result. If unsuccessful this will return {:error, reason} Examples: One tag and page number: iex&gt; JISHOCALLER.search_by_tags([&quot;jlpt-n5&quot;], 1) Multiple tags and page number: iex&gt; JISHOCALLER.search_by_tags([&quot;jlpt-n5&quot;, &quot;verb&quot;], 3)"}]